<template lang="pug">
    #book-item(v-if='data')
        v-breadcrumbs(:items='breacrumbs')
            template(v-slot:divider='')
                v-icon chevron_right
        v-layout
            v-flex(xs12, sm6, offset-sm3, offset-md0, md12)
                v-card
                v-img(:src='data.thumbnailUrl', height='725px', contain='')
                v-card-title(primary-title='')
                    div
                        h3.headline.mb-0 {{data.title}}
                        div  {{ data.longDescription }} 
                v-card-actions
                    v-btn(flat='', color='orange') Share
                    v-btn(flat='', color='orange') Explore
        v-layout.comments-wrapper(row='')
            v-flex(xs12, md12, sm6='', offset-sm3='', offset-md0)
                v-card
                    v-list(three-line='')
                        template(v-for='(item, index) in comments')                    
                            v-divider(:key='index', :inset='true')
                            comment-item(:comment='item', :index='index')

                                

</template>

<script>
import CommentItem from "@/components/CommentItem";
export default {
  components: { CommentItem },
  props: ["id"],
  data() {
    return {
      data: null,
      comments: [],
    };
  },
  computed: {
      breacrumbs() {
          return [
              {text: 'Главная', disabled: false, href: '/'},
              {text: this.data.title, disabled: true, href: `/books/${this.data._id}`},
          ]
      }
  },
  methods: {
    getData() {
      this.$axios.get("/books2.json").then(resp => {
        this.data = resp.data.find(i => i._id === parseInt(this.id, 10));

        if (this.data == null) {
          this.$router.push("/404");
        }
      });
    },
    getComments() {
      this.$axios.get("/comments.json").then(resp => {
        this.comments = resp.data;
      });
    }
  },
  created() {
    this.getData();
    this.getComments();
  }
};
</script>


<style lang="scss">
.comments-wrapper {
  .v-list--three-line .v-list__tile {
    height: auto;
  }

  .with-answers {
     .v-list__tile {
      align-items: flex-start;
    }
    .v-list__tile__avatar {
      margin-top: 12px;
    }
  }
}
</style>
